## ros-indigo-airbus-ssm-tutorial 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(airbus_ssm_tutorial)

find_package(catkin REQUIRED COMPONENTS
  rospy
  airbus_ssm_core
)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS rospy airbus_ssm_core
)

install(DIRECTORY launch resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-airbus-ssm-tutorial (0.0.4-0trusty) trusty; urgency=high

  * Merge pull request #36 <https://github.com/ipa320/airbus_coop/issues/36> from ipa-led/master
    Added dotgraph viewer to ssm_plugin
  * removed a debug print
  * Merge pull request #35 <https://github.com/ipa320/airbus_coop/issues/35> from ipa-led/master
    Improvements on the ssm_core packages
  * Merge branch 'master' of https://github.com/ipa-led/airbus_coop into dot
  * added descriptions to the skills tutorial
  * Contributors: Nadia Hammoudeh García, ipa-led

 -- Ludovic Delval <led@ipa.fhg.de>  Tue, 12 Sep 2017 22:00:00 -0000

ros-indigo-airbus-ssm-tutorial (0.0.3-0trusty) trusty; urgency=high

  * Merge pull request #33 <https://github.com/ipa320/airbus_coop/issues/33> from ipa-nhg/Rename
    Rename packages
  * rename ssm_tutorial to airbus_ssm_tutorial
  * Contributors: Nadia Hammoudeh García, ipa-nhg

 -- Ludovic Delval <led@ipa.fhg.de>  Tue, 05 Sep 2017 22:00:00 -0000

ros-indigo-airbus-ssm-tutorial (0.0.2-0trusty) trusty; urgency=high

  * Added license files
  * Changed order in the the licensing header
  * added Airbus to the licensing header
  * added licensing apache2.0 header
  * update and anify package.xml files
  * some changes to set the default log path to be at /tmp/ and removed the ssm_log dir
  * fixed the skills.xml and add a missing __init__ files
  * fixed launch files
  * fixed setup and CMakeLists / package.xml
  * fixed setup.py for travis
  * added the parameter to the launchs files
  * fixed the path to skill register for test.scxml
  * Created a launch file for test.scxml
  * fixed link to skill register
  * moved test skills and test.scxml from core to tutorial
  * cleaned up the CMakeLists.txt and package.xml
  * fixed the scxml file
  * fixed tutorial1 launch file
  * fixed skills for tutorial 1
  * removed old scxml missions
  * moved moving arm skill and wait skill to airbus_ssm_tutorial
  * removed logs
  * added missed packages
  * Contributors: ipa-led, ipa-nhg

 -- Ludovic Delval <led@ipa.fhg.de>  Mon, 04 Sep 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-airbus-ssm-tutorial
Section: misc
Priority: extra
Maintainer: Ludovic Delval <led@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-airbus-ssm-core, ros-indigo-catkin, ros-indigo-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-airbus-ssm-tutorial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-airbus-ssm-core, ros-indigo-rospy
Description: The airbus_ssm_tutorial package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-airbus-ssm-tutorial//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
